Subject: [16ng] consensus call on per-MS prefix model for IPv6 CS - closed

From: "Soohong Daniel Park" <[email-masked]>
Date: Thu, 5 Oct 2006 15:36:41 +0900

Thanks all guys who participated in the thread. Our call has expired.
Given folks opinions, we will end up to the 16ng conclusion and
recommendation regarding IPv6 CS prefix model on the list soon.

Again, thanks.

-- 

Gabriel & Daniel
Chairs, 16NG Working Group
>From [email-masked] Thu Oct  5 17:06:30 2006
Date: Thu, 5 Oct 2006 15:46:04 +0900
From: "Soohong Daniel Park" <[email-masked]>
To: [email-masked]
Subject: [16ng] WG Adoption: draft-madanapalli-16ng-subnet-model-analysis

Folks,

We are supposed to have one more official WG deliverable like below:

http://www.ietf.org/internet-drafts/draft-madanapalli-16ng-subnet-model-analysis-01.txt

Following the updated WG milestone, we will solicit WGLC on this
deliverable on October. If you have any concern on that, please feel
free to let us know your opinion. This call for WG adoption will
expire on Monday 9 (Pacific Time).

-- 

Gabriel & Daniel
Chairs, 16NG Working Group
>From [email-masked] Tue Oct 10 11:07:06 2006
Date: Tue, 10 Oct 2006 09:45:02 +0900
From: Soohong Daniel Park <[email-masked]>
To: [email-masked]
Subject: [16ng] Fw: Internet-Drafts Submission Cutoff Dates for the 67th IETF
 Meeting in San Diego, California, USA

FYI.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, October 10, 2006 1:20 AM
Subject: Internet-Drafts Submission Cutoff Dates for the 67th IETF Meeting in San Diego, California, USA

> 
> There are two (2) Internet-Draft cutoff dates for the 67th 
> IETF Meeting in San Diego, California, USA:
> 
> October 16th: Cutoff Date for Initial (i.e., version -00) 
> Internet-Draft Submissions 
> 
> All initial Internet-Drafts (version -00) must be submitted by Monday, 
> October 16th at 9:00 AM ET. As always, all initial submissions with a 
> filename beginning with "draft-ietf" must be approved by the 
> appropriate WG Chair before they can be processed or announced.  The 
> Secretariat would appreciate receiving WG Chair approval by Monday, 
> October 9th at 9:00 AM ET.
> 
> October 23rd: Cutoff Date for Revised (i.e., version -01 and higher) 
> Internet-Draft Submissions 
> 
> All revised Internet-Drafts (version -01 and higher) must be submitted 
> by Monday, October 23rd at 9:00 AM ET.
> 
> Initial and revised Internet-Drafts received after their respective 
> cutoff dates will not be made available in the Internet-Drafts 
> directory or announced until on or after Monday, November 6th at 9:00 
> AM ET, when Internet-Draft posting resumes.  Please do not wait until 
> the last minute to submit.
> 
> Thank you for your understanding and cooperation. If you have any 
> questions or concerns, then please send a message to 
> [email-masked].
> 
> The IETF Secretariat
> 
> FYI: The Internet-Draft cutoff dates as well as other significant dates
> for the 67th IETF Meeting can be found at http://www.ietf.org/meetings/cutoff_dates_67.html.
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
> 
>
>From [email-masked] Tue Oct 10 17:45:48 2006
Date: Tue, 10 Oct 2006 16:24:23 +0900
From: "Soohong Daniel Park" <[email-masked]>
To: [email-masked]
Subject: Re: [16ng] WG Adoption: draft-madanapalli-16ng-subnet-model-analysis
	- CLOSED

Folks,

This call has expired. It will be published as a new 16ng WG document.

Thanks

-- 

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
>From [email-masked] Thu Oct 12 19:42:07 2006
Date: Thu, 12 Oct 2006 18:20:18 +0900
From: "Soohong Daniel Park" <[email-masked]>
To: [email-masked]
Subject: [16ng] WGLC: draft-ietf-16ng-ipv6-link-model-analysis-00

Folks,

This is a two week WGLC on draft-ietf-16ng-ipv6-link-model-analysis-00.

Please review the I-D and submit your comments to the authors or to
the list directly. The WGLC will exipre on October 26 (Pacific Time).

o I-D: http://www.ietf.org/internet-drafts/draft-ietf-16ng-ipv6-link-model-analysis-00.txt

o Intended publication: Informational RFC

-- 

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
>From [email-masked] Fri Oct 13 13:23:14 2006
Date: Fri, 13 Oct 2006 12:01:16 +0900
From: "Soohong Daniel Park" <[email-masked]>
To: [email-masked]
Subject: [16ng] IPv6 Link Model Consensus

Folks,

Given the folks consensus from the list, the 16NG working group
inclines to the view that we have the point-to-point link model as
section 3.2 illustrated in the
draft-ietf-16ng-ipv6-link-model-analysis for the IPv6 operation over
IEEE 802.16 networks.

Again, thanks all guys who participated in this consensus call.

---

Gabriel & Daniel
Chairs, 16NG Working Group
>From [email-masked] Sat Oct 14 17:36:58 2006
Date: Sat, 14 Oct 2006 00:14:46 -0700 (PDT)
From: gabriel montenegro <[email-masked]>
To: 16ng alias <[email-masked]>
Subject: [16ng] Our first official WG documents
Reply-To: gabriel montenegro <[email-masked]>

--0-1309147443-1160810086=:72152
Content-Type: text/plain; charset=us-ascii

Folks,
 
Just a heads up.
 
We are now on our way to having our first three official WG documents as the following
will soon appear on the repositories (if they are not there already):
 
draft-ietf-16ng-ps-goals-00
draft-ietf-16ng-link-model-analysis-00
draft-ietf-16ng-ipv6-over-ipv6cs-00
 
Even though we have not had an official adoption call on the ipv6-over-ipv6cs
document, we went ahead and made it official for several reasons:
 
    - we need to meet the deadline for submission as an official -00 draft this Monday,
        otherwise we won't make our target
    - we are in a hurry to get it approved and then to issue WG LC in order to 
        meet our targets as very recently revised in our milestones (all 3 of these
        going to WG LC in October)
    - ipv6-over-ipv6cs derives from the previous only draft on per-MS prefix model
        (draft-xia-16ng-per-ms-prefix-nd-00) and the editors are committed to aligning
        with the latest understanding and with the wimax efforts.
    - (in particular for the latter) we would like to meet the target on the ipv6cs
        document as this would also meet the wimax deadlines as well. Doing so would align us
        with an important consumer of this document.
 
WE have run this past Jari, so he's aware of our accelerated schedule.
Once the drafts appear,  we will have to proceed very quickly to WG LC on these.
and then, to IETF last call (ps-goals and ipv6-over-ipv6cs targetting November
and link-model-analysis targetting December).
 
we'll need much participation and cooperation from the WG in order to progress
these documents as quickly as planned for 16ng.
 
thanks,
 
chairs
--0-1309147443-1160810086=:72152
Content-Type: text/html; charset=us-ascii

<html><head><style type="text/css"><!-- DIV {margin:0px} --></style></head><body><div style="font-family:courier, monaco, monospace, sans-serif;font-size:12pt"><DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">Folks,</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">Just a heads up.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">We are now on our way to having our first three official WG documents as the following</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">will soon appear on the repositories (if they are not there already):</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">draft-ietf-16ng-ps-goals-00<BR>draft-ietf-16ng-link-model-analysis-00<BR>draft-ietf-16ng-ipv6-over-ipv6cs-00</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">Even though we have not had an official adoption call on the ipv6-over-ipv6cs</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">document, we went ahead and made it official for several reasons:</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; - we need to meet the deadline for submission as an official -00 draft this Monday,</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; otherwise we won't make our target</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; - we are in a hurry to get it approved and then to issue WG LC in order to </DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; meet our targets as very recently revised in our milestones (all 3 of these</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; going to WG LC in October)</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; - ipv6-over-ipv6cs derives from the previous only draft on per-MS prefix model</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; (draft-xia-16ng-per-ms-prefix-nd-00) and the editors are committed to aligning</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; with the latest understanding and with the wimax efforts.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; - (in particular for the latter) we would like to meet the target on the ipv6cs</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; document&nbsp;as this would also&nbsp;meet the wimax deadlines as well. Doing so would align us</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp; with an important consumer of this document.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">WE have run this past Jari, so he's aware of our accelerated schedule.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">Once the drafts appear, &nbsp;we will have to proceed very quickly to WG LC on these.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">and then, to IETF last call (ps-goals and ipv6-over-ipv6cs targetting November</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">and link-model-analysis targetting December).</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">we'll need much participation and cooperation from the WG in order to progress</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">these documents as quickly as planned for 16ng.</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">thanks,</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">&nbsp;</DIV>
<DIV style="FONT-SIZE: 12pt; FONT-FAMILY: courier, monaco, monospace, sans-serif">chairs</DIV></DIV></div></body></html>
--0-1309147443-1160810086=:72152--
>From [email-masked] Mon Oct 16 13:40:12 2006
Date: Mon, 16 Oct 2006 12:17:39 +0900
From: "Soohong Daniel Park" <[email-masked]>
To: [email-masked]
Subject: [16ng] 16ng slot - Tuesday Nov. 7, 0900-1130

FYI.

TUESDAY, November 7, 2006

0800-1800 IETF Registration -

0800-0900 Continental Breakfast -

0900-1130 Morning Session I

APP   widex     Widget Description Exchange Service WG

INT   16ng      IP over IEEE 802.16 Networks WG

INT   trill     Transparent Interconnection of Lots of Links WG

OPS   radext    RADIUS EXTensions WG

RAI   avt       Audio/Video Transport WG

SEC   dkim      Domain Keys Identified Mail WG

TSV   rserpool  Reliable Server Pooling WG

-- 

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.
>From [email-masked] Tue Oct 17 06:57:22 2006
Date: Mon, 16 Oct 2006 22:34:37 +0200
From: Alexandru Petrescu <[email-masked]>
To: [email-masked]
Subject: [16ng] Re: I-D ACTION:draft-ietf-16ng-ipv6-over-ipv6cs-00.txt

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories. This draft is a work item of the IP over IEEE 802.16 
> Networks Working Group of the IETF.
> 
> Title		: IPv6 Over IPv6 Convergence sublayer in WiMAX Networks 
> Author(s)	: B. Patil, et al. Filename	: 
> draft-ietf-16ng-ipv6-over-ipv6cs-00.txt Pages		: 20 Date		: 
> 2006-10-16  The WiMAX forum is defining the network architecture 
> which enables Internet connectivity to mobile stations and IP hosts 
> via the 802.16d/e radio interface.  This document specifies the 
> addressing and operation of IPv6 for hosts served by a WiMAX network.
>  It recommends the assignment of a unique prefix to each host and 
> allow the host to use multiple identifiers within that prefix, 
> including support for randomly generated identifiers.  IPv6 operation
>  in WiMAX networks as explained in this document is based entirely on
>  existing IETF specifications.  The solution entailed herein is 
> recommended for adoption by the WiMAX forum for IPv6 over the IPv6 
> convergence sublayer.

Thanks for the draft.

> From an IPv6 perspective the MS and the AR are connected by a point-
>  to-point link.

Thus, is the RFC2472 IPv6 over point-to-point protocol used by WiMax
mobile stations?

> The IPv6 link between the mobile station (MS) and the access router 
> (AR) is considered as a point-to-point link.  Assignment of a unique
>  prefix per MS is recommended in this document.

Could there be a discussion about address waste which may occur when
each mobile is using a different 64bit prefix?  And the redundancy of
using a unique MAC address when the prefix is guaranteed unique, and
vice-versa?

I'd be inclined to suggest a common prefix be shared among several
mobile stations, each with its unique 64bit IID.

I'd speculate that few operators will enjoy the luxury to assign one 
64bit prefix per mobile it operates.  A cell operator operating 4 
million mobiles, would need a /32 prefix assigned to it by a regional 
registry... while a /48 is considered luxury already.  Or maybe other 
allocation schemes are planned?  What are these?

> The WiMAX forum [WMF] has specified the SDU size as 1522 octets.

Is the MN-AR link symmetric?  Is the SDU the same in both directions?
I'm asking because some cellular mobile links are asymmetric,
privileging the downlink with larger MTU and the upload with smaller MTU.

Alex
>From [email-masked] Tue Oct 17 08:19:39 2006
Date: Tue, 17 Oct 2006 00:56:53 +0300
Subject: Re: [16ng] Re: I-D ACTION:draft-ietf-16ng-ipv6-over-ipv6cs-00.txt
From: "Soininen Jonne (Nokia-NET/Espoo)" <[email-masked]>
To: ext Alexandru Petrescu <[email-masked]>,
   <[email-masked]>

Hi,

On 10/16/06 11:34 PM, "ext Alexandru Petrescu"
<[email-masked]> wrote:

> [email-masked] wrote:
[snip] 
>> The IPv6 link between the mobile station (MS) and the access router
>> (AR) is considered as a point-to-point link.  Assignment of a unique
>>  prefix per MS is recommended in this document.
> 
> Could there be a discussion about address waste which may occur when
> each mobile is using a different 64bit prefix?  And the redundancy of
> using a unique MAC address when the prefix is guaranteed unique, and
> vice-versa?
> 
> I'd be inclined to suggest a common prefix be shared among several
> mobile stations, each with its unique 64bit IID.
> 
> I'd speculate that few operators will enjoy the luxury to assign one
> 64bit prefix per mobile it operates.  A cell operator operating 4
> million mobiles, would need a /32 prefix assigned to it by a regional
> registry... while a /48 is considered luxury already.  Or maybe other
> allocation schemes are planned?  What are these?
> 

Actually this is how current cellular networks (3GPP and 3GPP2) work. This
is also what IETF suggested already quite some time ago for 3GPP to take as
the model (RFC3314) and change it from the /128 model. If you don't find the
reasoning for the /64 there (privacy addresses, IPv6 being designed to
actually work better this way, etc.), I'm happy to discuss more about this -
however not necessarily in the context of this WG as we just had a consensus
call on this.

You shouldn't be worried about addresses running out. The default allocation
currently for an operator is /32. That's 4 _billion_ addresses. And if an
operator runs out of those - they can ask for another /32.

>> The WiMAX forum [WMF] has specified the SDU size as 1522 octets.
> 
> Is the MN-AR link symmetric?  Is the SDU the same in both directions?
> I'm asking because some cellular mobile links are asymmetric,
> privileging the downlink with larger MTU and the upload with smaller MTU.

I believe it is symmetric. At least 3GPP links are also symmetric (1500b by
the specification).

Does some cellular network have asymmetric MTU in your experience? How is
that treated by the IP stack?

Cheers,

Jonne.

> 
> Alex
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

-- 
Jonne Soininen
Nokia

Tel: +358 40 527 46 34
E-mail: [email-masked]